Subject: Re: Possible networking regression in 3.6.0

From: Alexander Duyck <[email-masked]>
Date: Tue, 02 Oct 2012 14:14:00 -0700

On 10/02/2012 11:25 AM, David Miller wrote:
> From: Eric Dumazet <[email-masked]>
> Date: Tue, 02 Oct 2012 17:48:39 +0200
>
>> [PATCH] ipv4: properly cache forward routes
>>
>> commit d2d68ba9fe8 (ipv4: Cache input routes in fib_info nexthops.)
>> introduced a regression for forwarding.
>>
>> This was hard to reproduce but the symptom was that packets were
>> delivered to local host instead of being forwarded.
>>
>> Add a separate cache (nh_rth_forward) to solve the problem.
>>
>> Many thanks to Chris Clayton for his patience and help.
>>
>> Reported-by: Chris Clayton <[email-masked]>
>> Bisected-by: Chris Clayton <[email-masked]>
>> Reported-by: Dave Jones <[email-masked]>
>> Signed-off-by: Eric Dumazet <[email-masked]>
> Thanks for figuring this out, I'll think about this more
> deeply.
I think something may have been missed in this patch.

With it applied to net-next I am unable to remove the ixgbe driver after
running a routing traffic test.  The specific message I am getting is:
    unregister_netdevice: waiting for eth2 to become free. Usage count = -7

Thanks,

Alex